#pragma once

#include <fstream>
#include <string>
#include <vector>

#include <SimoxUtility/json.h>

#include "datatypes/Affordance.h"

namespace armarx::priorknowledge::util
{
    class AffordanceLoader
    {
    public:
        static const constexpr auto DEFAULT_FILE_NAME = "affordances.json";

        AffordanceLoader() = delete;

        static std::vector<StaticAffordance> LoadStaticAffordances(const std::string& sourceId,
                                                                   const nlohmann::json&);

        static std::vector<LocatableAffordance>
        LoadLocatableAffordances(const std::string& sourceId, const nlohmann::json&);
    };
} // namespace armarx::priorknowledge::util
