#pragma once

#include <RobotAPI/components/ArViz/Client/Client.h>
#include <RobotAPI/components/ArViz/Client/ScopedClient.h>

#include "datatypes/Location.h"

namespace armarx::priorknowledge::util::location
{
    class Visu
    {
    public:
        Visu(viz::Client& arviz) : arviz(arviz)
        {
        }

        ~Visu() = default;

        armarx::viz::Pose getLocationVertex(const std::string& id,
                                            const Eigen::Matrix4f& locationGlobalPose) const;

        viz::Layer
        locationsToLayer(const std::string& layerName,
                         const std::map<std::string, Eigen::Matrix4f>& locationGlobalPoses) const;

        struct Settings
        {
            float vertexScale = 1.0;
        } settings;

    protected:
        viz::Client& arviz;
    };
} // namespace armarx::priorknowledge::util::location
