#include "EntityInstanceBase.h"


namespace armarx::armem::base
{
    void EntityInstanceMetadata::access() const
    {
        numAccessed++;
        lastAccessedTime = armarx::core::time::DateTime::Now();
    }

    bool EntityInstanceMetadata::operator==(const EntityInstanceMetadata& other) const
    {
        return referencedTime == other.referencedTime
               && sentTime == other.sentTime
               && arrivedTime == other.arrivedTime
               && std::abs(confidence - other.confidence) < 1e-6f;
    }
}


std::ostream& armarx::armem::base::operator<<(std::ostream& os, const EntityInstanceMetadata& d)
{
    os << "EntityInstanceMetadata: "
       << "\n - t_referenced = \t" << armem::toStringMicroSeconds(d.referencedTime) << " us"
       << "\n - t_sent       = \t" << armem::toStringMicroSeconds(d.sentTime) << " us"
       << "\n - t_arrived    = \t" << armem::toStringMicroSeconds(d.arrivedTime) << " us"
       << "\n - t_accessed   = \t" << armem::toStringMicroSeconds(d.lastAccessedTime) << " us (" << d.numAccessed << ")"
       << "\n - confidence   = \t" << d.confidence << " us"
       ;
    return os;
}
